//
//  ClassModule.swift
//  ClassModule
//
//  Created by Benjamin Pious on 5/20/19.
//  Copyright © 2019 Benjamin Pious. All rights reserved.
//


open class C<T, U: Switch, V> {
    
    public let u: U
    
    public let create: (_ context: V) -> T
    
    public init(pluginSwitch: U, create: @escaping (V) -> T) {
        self.u = pluginSwitch
        self.create = create
    }
    
    open func isApplicable(forContext context: V) -> Bool {
        return false
    }
    
}
